﻿using System;
using PX.Data;
using PX.Data.Unit;
using PX.Objects.CM.Extensions;
using PX.Objects.Extensions.MultiCurrency;

namespace TestSample
{
	public class GraphMock : GraphMockBase<GraphMock>
	{
		public static bool IsActive()
		{
			return TestHelper.RunningSameNamespace();
		}
		public PXSelect<BAccountMockBase> Source;
	}
	public class BindingMock : MultiCurrencyGraph<GraphMock, DocumentMockBase>
	{
        public static bool IsActive()
        {
            return TestHelper.RunningSameNamespace();
        }
        protected override DocumentMapping GetDocumentMapping()
		{
			return new DocumentMapping(typeof(DocumentMockBase));
		}
		protected override CurySourceMapping GetCurySourceMapping()
		{
			return new CurySourceMapping(typeof(BAccountMockBase));
		}
		protected override PXSelectBase[] GetChildren()
		{
			return new PXSelectBase[]
			{
				Base.Documents,
				Base.Details
			};
		}
		protected override void _(Events.FieldDefaulting<CurrencyInfo, CurrencyInfo.moduleCode> e)
		{
		}
	}
}
