﻿using System;
using PX.Data;
using PX.Data.Unit;
using PX.Objects.CM.Extensions;

namespace TestSample
{
	public class DocumentMock : PXCacheExtension<DocumentMockBase>
	{
        public static bool IsActive()
        {
            return TestHelper.RunningSameNamespace();
        }
        public abstract class curyInfoID : PX.Data.BQL.BqlLong.Field<curyInfoID> { }
		[PXDBLong]
		[CurrencyInfo(typeof(CurrencyInfo.curyInfoID))]
		public virtual Int64? CuryInfoID { get; set; }
		public abstract class curyID : PX.Data.BQL.BqlString.Field<curyID> { }
		[PXDBString(5, IsUnicode = true, InputMask = ">LLLLL")]
		[PXSelector(typeof(Currency.curyID))]
		[PXUIField(DisplayName = "Currency")]
		public virtual String CuryID { get; set; }
		public abstract class baseField : PX.Data.BQL.BqlDecimal.Field<baseField> { }
		[PXDBDecimal(4)]
		[PXDefault(TypeCode.Decimal, "0.0")]
		public decimal? BaseField { get; set; }
		public abstract class curyField : PX.Data.BQL.BqlDecimal.Field<curyField> { }
		[PXDBCurrency(typeof(curyInfoID), typeof(baseField))]
		[PXDefault(TypeCode.Decimal, "0.0")]
		public decimal? CuryField { get; set; }
	}
}
